Index: make/custom/FreeBSD-posix.cfg
===================================================================
--- make/custom/FreeBSD-posix.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/FreeBSD-posix.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -72,5 +72,5 @@
 
 define make-exe
-	$(CC) $(CFLAGS) -o $@ $(LINK_OBJS) $(LINK_LIBS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -ng $@ > $(basename $@).num
 	$(SIZE) $@
Index: make/custom/HPUX9-posix.cfg
===================================================================
--- make/custom/HPUX9-posix.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/HPUX9-posix.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -71,5 +71,5 @@
 
 define make-exe
-	$(CC) $(CFLAGS) -o $@ $(LINK_OBJS) $(LINK_LIBS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -ng $@ > $(basename $@).num
 	$(SIZE) $@
Index: make/custom/Linux-posix.cfg
===================================================================
--- make/custom/Linux-posix.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/Linux-posix.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -73,5 +73,5 @@
 
 define make-exe
-	$(CC) $(CFLAGS) -o $@ $(LINK_OBJS) $(LINK_LIBS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -ng $@ > $(basename $@).num
 	$(SIZE) $@
Index: make/custom/Solaris-posix.cfg
===================================================================
--- make/custom/Solaris-posix.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/Solaris-posix.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -71,5 +71,5 @@
 
 define make-exe
-	$(CC) $(CFLAGS) -o $@ $(LINK_OBJS) $(LINK_LIBS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -ng $@ > $(basename $@).num
 	$(SIZE) $@
Index: make/custom/cvme961.cfg
===================================================================
--- make/custom/cvme961.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/cvme961.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -66,5 +66,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -g -n $(basename $@).exe > $(basename $@).num
Index: make/custom/dmv152.cfg
===================================================================
--- make/custom/dmv152.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/dmv152.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -72,5 +72,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
Index: make/custom/dmv177.cfg
===================================================================
--- make/custom/dmv177.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/dmv177.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -108,5 +108,6 @@
 #           -Wl,-\( -Wl,-lc -Wl,-lrtemsall -Wl,-lgcc -Wl,-\)
 define make-exe
-	$(CC) $(CFLAGS) -o $(basename $@).nxe $(LINK_OBJS) $(LINK_LIBS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) \
+	    -o $(basename $@).nxe $(LINK_OBJS) $(LINK_LIBS)
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
Index: make/custom/efi332.cfg
===================================================================
--- make/custom/efi332.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/efi332.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -63,5 +63,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
Index: make/custom/efi68k.cfg
===================================================================
--- make/custom/efi68k.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/efi68k.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -63,5 +63,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
Index: make/custom/erc32.cfg
===================================================================
--- make/custom/erc32.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/erc32.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -91,5 +91,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -g -n $(basename $@).exe > $(basename $@).num
Index: make/custom/eth_comm.cfg
===================================================================
--- make/custom/eth_comm.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/eth_comm.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -73,5 +73,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -g -n $@ > $(basename $@).num
Index: make/custom/force386.cfg
===================================================================
--- make/custom/force386.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/force386.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -64,5 +64,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
Index: make/custom/gen68302.cfg
===================================================================
--- make/custom/gen68302.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/gen68302.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -63,5 +63,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -g -n $(basename $@).exe > $(basename $@).num
Index: make/custom/gen68340.cfg
===================================================================
--- make/custom/gen68340.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/gen68340.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -72,6 +72,6 @@
 
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe $(LINK_OBJS) \
-	    $(LINK_LIBS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) \
+	    -o $(basename $@).exe $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -g -n $(basename $@).exe > $(basename $@).num
 	$(SIZE) $(basename $@).exe
Index: make/custom/gen68360.cfg
===================================================================
--- make/custom/gen68360.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/gen68360.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -85,5 +85,5 @@
 
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -g -n $(basename $@).exe > $(basename $@).num
Index: make/custom/gensh1.cfg
===================================================================
--- make/custom/gensh1.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/gensh1.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -71,5 +71,5 @@
 else
 define make-exe
-	$(CC) -Wl,-Map,$(basename $@).map \
+	$(CC) $(CPPFLAGS) -Wl,-Map,$(basename $@).map \
 	    $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
 	    $(LINK_OBJS) $(LINK_LIBS)
Index: make/custom/go32.cfg
===================================================================
--- make/custom/go32.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/go32.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -102,5 +102,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -g -n $(basename $@).exe > $(basename $@).num
Index: make/custom/helas403.cfg
===================================================================
--- make/custom/helas403.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/helas403.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -99,5 +99,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) -o $(basename $@).exe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $(basename $@).exe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -g -n $@ > $(basename $@).num
Index: make/custom/i386ex.cfg
===================================================================
--- make/custom/i386ex.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/i386ex.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -65,5 +65,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).coff \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).coff \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(OBJCOPY) -O srec $(basename $@).coff $(basename $@).i
Index: make/custom/idp.cfg
===================================================================
--- make/custom/idp.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/idp.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -65,5 +65,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
Index: make/custom/mvme136.cfg
===================================================================
--- make/custom/mvme136.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/mvme136.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -61,5 +61,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
Index: make/custom/mvme147.cfg
===================================================================
--- make/custom/mvme147.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/mvme147.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -58,5 +58,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
Index: make/custom/mvme162.cfg
===================================================================
--- make/custom/mvme162.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/mvme162.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -98,6 +98,6 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).nxe $(LINK_OBJS) \
-	    $(LINK_LIBS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) \
+	    -o $(basename $@).nxe $(LINK_OBJS) $(LINK_LIBS)
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
Index: make/custom/mvme167.cfg
===================================================================
--- make/custom/mvme167.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/mvme167.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -81,5 +81,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -g -n $(basename $@).exe > $(basename $@).nm
Index: make/custom/ods68302.cfg
===================================================================
--- make/custom/ods68302.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/ods68302.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -85,5 +85,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) \
 	    -Wl,-defsym -Wl,MC68302_BASE=$(MC68302_BASE) \
 	    -o $(basename $@).exe \
Index: make/custom/p4000.cfg
===================================================================
--- make/custom/p4000.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/p4000.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -64,5 +64,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@).srec1
Index: make/custom/p4600.cfg
===================================================================
--- make/custom/p4600.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/p4600.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -82,6 +82,6 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe $(LINK_OBJS) \
-	    $(LINK_LIBS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) \
+	    -o $(basename $@).exe $(LINK_OBJS) $(LINK_LIBS)
 	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@).srec1
         $(PACKHEX) < $(basename $@).srec1 > $(basename $@).srec
Index: make/custom/p4650.cfg
===================================================================
--- make/custom/p4650.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/p4650.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -81,5 +81,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -o $(basename $@).exe \
 	    $(LINK_OBJS) $(LINK_LIBS) $(LD_LIBS)
 	$(OBJCOPY) -O srec $(basename $@).exe $(basename $@).srec1
Index: make/custom/papyrus.cfg
===================================================================
--- make/custom/papyrus.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/papyrus.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -93,5 +93,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) -o $(basename $@).exe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $(basename $@).exe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -g -n $@ > $(basename $@).num
Index: make/custom/pc386.cfg
===================================================================
--- make/custom/pc386.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/pc386.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -85,5 +85,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -Wl,-Ttext,$(RELOCADDR) \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -Wl,-Ttext,$(RELOCADDR) \
 	    -Wl,--oformat,elf32-i386 -o $(basename $@).obj \
 	    -o $(basename $@).obj \
@@ -100,5 +100,5 @@
 	$(SIZE) $(basename $@).obj
         $(INSTALL_VARIANT) -m 555 $(basename $@).bt ${PROJECT_RELEASE}/BootImgs
-	$(CC) $(CFLAGS) $(CFLAGS_LD) -Wl,-Ttext,$(RELOCADDR) \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) -Wl,-Ttext,$(RELOCADDR) \
 	    -o $(basename $@).coff $(LINK_OBJS) $(LINK_LIBS)
 endef
Index: make/custom/ppcn_60x.cfg
===================================================================
--- make/custom/ppcn_60x.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/ppcn_60x.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -99,5 +99,6 @@
 #           -Wl,-\( -Wl,-lc -Wl,-lrtemsall -Wl,-lgcc -Wl,-\)
 define make-exe
-	$(CC) $(CFLAGS) -o $(basename $@).exe $(LINK_OBJS) $(LINK_LIBS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) \
+	    -o $(basename $@).exe $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -g -n $(basename $@).exe > $(basename $@).num
 	$(SIZE) $(basename $@).exe
Index: make/custom/psim.cfg
===================================================================
--- make/custom/psim.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/psim.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -108,5 +108,5 @@
 # -Wl,--gc-sections
 define make-exe
-	$(CC) $(CFLAGS) -o $(basename $@).exe \
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $(basename $@).exe \
 	    $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -g -n $@ > $(basename $@).num
Index: make/custom/score603e.cfg
===================================================================
--- make/custom/score603e.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/score603e.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -139,5 +139,6 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) -o $(basename $@).elf $(LINK_OBJS) $(LINK_LIBS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) \
+	    -o $(basename $@).elf $(LINK_OBJS) $(LINK_LIBS)
 	$(NM) -g -n $(basename $@).elf > $(basename $@).num
 	$(SIZE) $(basename $@).elf
Index: make/custom/simhppa.cfg
===================================================================
--- make/custom/simhppa.cfg	(revision 5b3632e9cd9503789ab0506f50a157cb25ce114c)
+++ make/custom/simhppa.cfg	(revision 54d3d1e1558d6b44a406d4afee12bcd203d02dff)
@@ -122,5 +122,5 @@
 else
 define make-exe
-	$(CC) $(CFLAGS) $(CFLAGS_LD) $(GCC_LD_LOC_OPTIONS) \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_LD) $(GCC_LD_LOC_OPTIONS) \
 	    -o $(basename $@).exe \
 	    $(LINK_OBJS) $(LINK_LIBS)