Index: contrib/crossrpms/freebsd7.2/i586/Makefile.am
===================================================================
--- contrib/crossrpms/freebsd7.2/i586/Makefile.am	(revision 106c03b9b2abfe64c5efab443c6c47f45bf4fc97)
+++ contrib/crossrpms/freebsd7.2/i586/Makefile.am	(revision 55e45f8d4d91ec355fdadceaec7edc43e50fc28f)
@@ -11,13 +11,13 @@
 include ../libs.am
 
-BINUTILS_VERS = 2.19
+BINUTILS_VERS = 2.19.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 0.20090827.1
+BINUTILS_RPMREL = 0.20090831.1
 include ../binutils.am
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.3.4
+GCC_VERS = 4.4.1
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 0.20090827.1
+GCC_RPMREL = 0.20090831.1
 include ../gcc.am
 GCC_OPTS += --languages=cxx,fortran,objc
Index: contrib/crossrpms/freebsd7.2/i586/binutils-sources.add
===================================================================
--- contrib/crossrpms/freebsd7.2/i586/binutils-sources.add	(revision 106c03b9b2abfe64c5efab443c6c47f45bf4fc97)
+++ contrib/crossrpms/freebsd7.2/i586/binutils-sources.add	(revision 55e45f8d4d91ec355fdadceaec7edc43e50fc28f)
@@ -1,2 +1,2 @@
 Source0: http://ftp.gnu.org/gnu/binutils/binutils-2.19.tar.bz2
-Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/binutils-2.19-rtems4.10-20081023.diff
+@PATCH0@
Index: contrib/crossrpms/freebsd7.2/i586/i586-pc-freebsd7.2-binutils.spec
===================================================================
--- contrib/crossrpms/freebsd7.2/i586/i586-pc-freebsd7.2-binutils.spec	(revision 106c03b9b2abfe64c5efab443c6c47f45bf4fc97)
+++ contrib/crossrpms/freebsd7.2/i586/i586-pc-freebsd7.2-binutils.spec	(revision 55e45f8d4d91ec355fdadceaec7edc43e50fc28f)
@@ -31,7 +31,7 @@
 %endif
 
-%define binutils_pkgvers 2.19
-%define binutils_version 2.19
-%define binutils_rpmvers %{expand:%(echo "2.19" | tr - _ )}
+%define binutils_pkgvers 2.19.1
+%define binutils_version 2.19.1
+%define binutils_rpmvers %{expand:%(echo "2.19.1" | tr - _ )}
 
 Name:		i586-pc-freebsd7.2-binutils
@@ -39,5 +39,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	0.20090827.1%{?dist}
+Release:	0.20090831.1%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -58,5 +58,4 @@
 
 Source0: http://ftp.gnu.org/gnu/binutils/binutils-2.19.tar.bz2
-Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/binutils-2.19-rtems4.10-20081023.diff
 
 %description
@@ -165,4 +164,5 @@
 %files -n i586-pc-freebsd7.2-binutils
 %defattr(-,root,root)
+
 %{_mandir}/man1/i586-pc-freebsd7.2-*.1*
 
Index: contrib/crossrpms/freebsd7.2/i586/i586-pc-freebsd7.2-gcc.spec
===================================================================
--- contrib/crossrpms/freebsd7.2/i586/i586-pc-freebsd7.2-gcc.spec	(revision 106c03b9b2abfe64c5efab443c6c47f45bf4fc97)
+++ contrib/crossrpms/freebsd7.2/i586/i586-pc-freebsd7.2-gcc.spec	(revision 55e45f8d4d91ec355fdadceaec7edc43e50fc28f)
@@ -32,7 +32,7 @@
 
 
-%define gcc_pkgvers 4.3.4
-%define gcc_version 4.3.4
-%define gcc_rpmvers %{expand:%(echo "4.3.4" | tr - _ )}
+%define gcc_pkgvers 4.4.1
+%define gcc_version 4.4.1
+%define gcc_rpmvers %{expand:%(echo "4.4.1" | tr - _ )}
 
 
@@ -42,5 +42,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	0.20090827.1%{?dist}
+Release:      	0.20090831.1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -123,4 +123,5 @@
 Requires:	i586-pc-freebsd7.2-binutils
 Requires:	i586-pc-freebsd7.2-sys-root
+Requires:	i586-pc-freebsd7.2-gcc-libgcc = %{gcc_rpmvers}-%{release}
 
 
@@ -275,14 +276,11 @@
 
   # Collect multilib subdirectories
-  f=`build/gcc/xgcc -Bbuild/gcc/ --print-multi-lib | sed -e 's,;.*$,,'`
+  multilibs=`build/gcc/xgcc -Bbuild/gcc/ --print-multi-lib | sed -e 's,;.*$,,'`
 
 
   rm -f dirs ;
   echo "%defattr(-,root,root,-)" >> dirs
-  echo "%dir %{_gcclibdir}/gcc" >> dirs
-  echo "%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2" >> dirs
-
   TGTDIR="%{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}"
-  for i in $f; do
+  for i in $multilibs; do
     case $i in
     \.) echo "%dir ${TGTDIR}" >> dirs
@@ -315,4 +313,5 @@
     *include/g++*);;
     *include/c++*);;
+    *include-fixed/*);;
     *finclude/*);;
     *adainclude*);;
@@ -420,6 +419,21 @@
 GNU cc compiler for i586-pc-freebsd7.2.
 
-%files -n i586-pc-freebsd7.2-gcc -f build/files.gcc
-%defattr(-,root,root)
+# ==============================================================
+# i586-pc-freebsd7.2-gcc-libgcc
+# ==============================================================
+%package -n i586-pc-freebsd7.2-gcc-libgcc
+Summary:        libgcc for i586-pc-freebsd7.2-gcc
+Group:          Development/Tools
+Version:        %{gcc_rpmvers}
+%{?_with_noarch_subpackages:BuildArch: noarch}
+License:	GPL
+
+%description -n i586-pc-freebsd7.2-gcc-libgcc
+libgcc i586-pc-freebsd7.2-gcc.
+
+
+%files -n i586-pc-freebsd7.2-gcc
+%defattr(-,root,root)
+
 %{_mandir}/man1/i586-pc-freebsd7.2-gcc.1*
 %{_mandir}/man1/i586-pc-freebsd7.2-cpp.1*
@@ -432,17 +446,4 @@
 %{_bindir}/i586-pc-freebsd7.2-gccbug
 
-%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/include
-%if "%{gcc_version}" > "4.0.3"
-%if "i586-pc-freebsd7.2" != "bfin-rtems4.10"
-%if "i586-pc-freebsd7.2" != "avr-rtems4.10"
-%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/include/ssp
-%endif
-%endif
-%endif
-
-%if "%{gcc_version}" >= "4.3.0"
-%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/include-fixed
-%endif
-
 %dir %{_libexecdir}/gcc
 %dir %{_libexecdir}/gcc/i586-pc-freebsd7.2
@@ -451,4 +452,24 @@
 %{_libexecdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/collect2%{_exeext}
 
+
+%files -n i586-pc-freebsd7.2-gcc-libgcc -f build/files.gcc
+%defattr(-,root,root)
+%dir %{_gcclibdir}/gcc
+%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2
+%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}
+%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/include
+
+%if "%{gcc_version}" > "4.0.3"
+%if "i586-pc-freebsd7.2" != "bfin-rtems4.10"
+%if "i586-pc-freebsd7.2" != "avr-rtems4.10"
+%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/include/ssp
+%endif
+%endif
+%endif
+
+%if "%{gcc_version}" >= "4.3.0"
+%{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/include-fixed
+%endif
+
 # ==============================================================
 # i586-pc-freebsd7.2-gcc-c++
@@ -459,10 +480,9 @@
 Version:        %{gcc_rpmvers}
 License:	GPL
+Requires:       i586-pc-freebsd7.2-gcc-libstdc++ = %{gcc_rpmvers}-%{release}
 
 %if "%{_build}" != "%{_host}"
 BuildRequires:  i586-pc-freebsd7.2-gcc-c++ = %{gcc_rpmvers}
 %endif
-Provides:	i586-pc-freebsd7.2-c++ = %{gcc_rpmvers}-%{release}
-Obsoletes:	i586-pc-freebsd7.2-c++ < %{gcc_rpmvers}-%{release}
 
 Requires:       i586-pc-freebsd7.2-gcc = %{gcc_rpmvers}-%{release}
@@ -471,6 +491,19 @@
 GCC c++ compiler for i586-pc-freebsd7.2.
 
-%files -n i586-pc-freebsd7.2-gcc-c++ -f build/files.g++
-%defattr(-,root,root)
+
+%package -n i586-pc-freebsd7.2-gcc-libstdc++
+Summary:	libstdc++ for i586-pc-freebsd7.2
+Group:		Development/Tools
+Version:        %{gcc_rpmvers}
+%{?_with_noarch_subpackages:BuildArch: noarch}
+License:	GPL
+
+%description -n i586-pc-freebsd7.2-gcc-libstdc++
+%{_summary}
+
+
+%files -n i586-pc-freebsd7.2-gcc-c++
+%defattr(-,root,root)
+
 %{_mandir}/man1/i586-pc-freebsd7.2-g++.1*
 
@@ -483,4 +516,10 @@
 %{_libexecdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/cc1plus%{_exeext}
 
+
+%files -n i586-pc-freebsd7.2-gcc-libstdc++ -f build/files.g++
+%defattr(-,root,root)
+%dir %{_gcclibdir}/gcc
+%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2
+%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}
 %dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/include
 %{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/include/c++
@@ -495,14 +534,11 @@
 License:	GPL
 
-Provides:	i586-pc-freebsd7.2-gfortran = %{gcc_rpmvers}-%{release}
-Obsoletes:	i586-pc-freebsd7.2-gfortran < %{gcc_rpmvers}-%{release}
-
 Requires:       i586-pc-freebsd7.2-gcc = %{gcc_rpmvers}-%{release}
-Obsoletes:      i586-pc-freebsd7.2-g77 < %{gcc_rpmvers}-%{release}
+Requires:       i586-pc-freebsd7.2-gcc-libgfortran = %{gcc_rpmvers}-%{release}
 
 %description -n i586-pc-freebsd7.2-gcc-gfortran
 GCC fortran compiler for i586-pc-freebsd7.2.
 
-%files -n i586-pc-freebsd7.2-gcc-gfortran -f build/files.gfortran
+%files -n i586-pc-freebsd7.2-gcc-gfortran
 %defattr(-,root,root)
 %{_bindir}/i586-pc-freebsd7.2-gfortran%{_exeext}
@@ -515,4 +551,22 @@
 %{_libexecdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/f951%{_exeext}
 
+# ==============================================================
+# i586-pc-freebsd7.2-gcc-libgfortran
+# ==============================================================
+%package -n i586-pc-freebsd7.2-gcc-libgfortran
+Summary:	Fortran 95 support libraries for i586-pc-freebsd7.2-gcc
+Group:          Development/Tools
+Version:        %{gcc_rpmvers}
+%{?_with_noarch_subpackages:BuildArch: noarch}
+License:	GPL
+
+%description -n i586-pc-freebsd7.2-gcc-libgfortran
+%{_summary}
+
+%files -n i586-pc-freebsd7.2-gcc-libgfortran -f build/files.gfortran
+%defattr(-,root,root)
+%dir %{_gcclibdir}/gcc
+%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2
+%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}
 %if "%{gcc_version}" >= "4.2.0"
 %{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/finclude
@@ -527,15 +581,13 @@
 Version:        %{gcc_rpmvers}
 License:	GPL
-Provides:	i586-pc-freebsd7.2-objc = %{gcc_rpmvers}-%{release}
-Obsoletes:	i586-pc-freebsd7.2-objc < %{gcc_rpmvers}-%{release}
 
 Requires:       i586-pc-freebsd7.2-gcc = %{gcc_rpmvers}-%{release}
+Requires:       i586-pc-freebsd7.2-gcc-libobjc = %{gcc_rpmvers}-%{release}
 
 %description -n i586-pc-freebsd7.2-gcc-objc
 GCC objc compiler for i586-pc-freebsd7.2.
 
-%files -n i586-pc-freebsd7.2-gcc-objc -f build/files.objc
-%defattr(-,root,root)
-
+%files -n i586-pc-freebsd7.2-gcc-objc
+%defattr(-,root,root)
 %dir %{_libexecdir}/gcc
 %dir %{_libexecdir}/gcc/i586-pc-freebsd7.2
@@ -543,4 +595,23 @@
 %{_libexecdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/cc1obj%{_exeext}
 
+# ==============================================================
+# i586-pc-freebsd7.2-gcc-libobjc
+# ==============================================================
+%package -n i586-pc-freebsd7.2-gcc-libobjc
+Summary:        Objective C support for i586-pc-freebsd7.2-gcc
+Group:          Development/Tools
+Version:        %{gcc_rpmvers}
+%{?_with_noarch_subpackages:BuildArch: noarch}
+License:	GPL
+
+%description -n i586-pc-freebsd7.2-gcc-libobjc
+Support libraries for GCC's objc compiler for i586-pc-freebsd7.2.
+
+%files -n i586-pc-freebsd7.2-gcc-libobjc -f build/files.objc
+%defattr(-,root,root)
+%dir %{_gcclibdir}/gcc
+%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2
+%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}
+%dir %{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/include
 %{_gcclibdir}/gcc/i586-pc-freebsd7.2/%{gcc_version}/include/objc
 