Index: bsps/sparc/shared/iommu/griommu.c
===================================================================
--- bsps/sparc/shared/iommu/griommu.c	(revision 68a00124700173ed94a6c7cbe0655bb078559b62)
+++ bsps/sparc/shared/iommu/griommu.c	(revision 56a7540cd8d96870649b58bdbb0a35ac40a3f9be)
@@ -16,4 +16,5 @@
 #include <ambapp.h>
 #include <rtems.h>
+#include <rtems/bspIo.h>
 #include <bsp.h>
 #include <bsp/griommu.h>
@@ -372,5 +373,5 @@
 	status = griommu_init(priv);
 	if (status) {
-		printf("Failed to initialize griommu driver %d\n", status);
+		printk("Failed to initialize griommu driver %d\n", status);
 		return -1;
 	}
Index: bsps/sparc/shared/l2c/l2c.c
===================================================================
--- bsps/sparc/shared/l2c/l2c.c	(revision 68a00124700173ed94a6c7cbe0655bb078559b62)
+++ bsps/sparc/shared/l2c/l2c.c	(revision 56a7540cd8d96870649b58bdbb0a35ac40a3f9be)
@@ -476,5 +476,5 @@
 	status = l2cache_init(priv);
 	if (status) {
-		printf("Failed to initialize l2cache driver %d\n", status);
+		printk("Failed to initialize l2cache driver %d\n", status);
 		return -1;
 	}
Index: bsps/sparc/shared/pci/gr_701.c
===================================================================
--- bsps/sparc/shared/pci/gr_701.c	(revision 68a00124700173ed94a6c7cbe0655bb078559b62)
+++ bsps/sparc/shared/pci/gr_701.c	(revision 56a7540cd8d96870649b58bdbb0a35ac40a3f9be)
@@ -350,12 +350,12 @@
 	bar1 = devinfo->resources[1].address;
 	bar1_size = devinfo->resources[1].size;
-	printf("\n\n--- GR-701[%d] ---\n", dev->minor_drv);
-	printf(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
+	printk("\n\n--- GR-701[%d] ---\n", dev->minor_drv);
+	printk(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
 		PCI_DEV_EXPAND(priv->pcidev));
-	printf(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n\n\n",
+	printk(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n\n\n",
 		devinfo->id.vendor, devinfo->id.device);
-	printf(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printf(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
-	printf(" IRQ: %d\n\n\n", devinfo->irq);
+	printk(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
+	printk(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
+	printk(" IRQ: %d\n\n\n", devinfo->irq);
 
 	/* all neccessary space assigned to GR-701 target? */
@@ -380,5 +380,5 @@
 		free(priv);
 		dev->priv = NULL;
-		printf(" Failed to initialize GR-701 HW\n");
+		printk(" Failed to initialize GR-701 HW\n");
 		return DRVMGR_FAIL;
 	}
Index: bsps/sparc/shared/pci/gr_cpci_gr740.c
===================================================================
--- bsps/sparc/shared/pci/gr_cpci_gr740.c	(revision 68a00124700173ed94a6c7cbe0655bb078559b62)
+++ bsps/sparc/shared/pci/gr_cpci_gr740.c	(revision 56a7540cd8d96870649b58bdbb0a35ac40a3f9be)
@@ -486,11 +486,11 @@
 	priv->devinfo = devinfo = (struct pci_dev_info *)dev->businfo;
 	priv->pcidev = devinfo->pcidev;
-	printf("\n\n--- GR-CPCI-GR740[%d] ---\n", dev->minor_drv);
-	printf(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
+	printk("\n\n--- GR-CPCI-GR740[%d] ---\n", dev->minor_drv);
+	printk(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
 		PCI_DEV_EXPAND(priv->pcidev));
-	printf(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
+	printk(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
 		devinfo->id.vendor, devinfo->id.device);
 	for (i = 0; i < 3; i++) {
-		printf(" PCI BAR[%d]: 0x%08lx - 0x%08lx\n",
+		printk(" PCI BAR[%d]: 0x%08lx - 0x%08lx\n",
 			i, devinfo->resources[i].address,
 			devinfo->resources[i].address +
@@ -500,5 +500,5 @@
 			return DRVMGR_ENORES;
 	}
-	printf(" IRQ: %d\n\n\n", devinfo->irq);
+	printk(" IRQ: %d\n\n\n", devinfo->irq);
 
 	/* Initialize spin-lock for this PCI perihperal device. This is to
@@ -546,5 +546,5 @@
 	if ((status = gr_cpci_gr740_hw_init1(priv)) != 0) {
 		genirq_destroy(priv->genirq);
-		printf(" Failed to initialize GR-CPCI-GR740 HW: %d\n", status);
+		printk(" Failed to initialize GR-CPCI-GR740 HW: %d\n", status);
 		return DRVMGR_FAIL;
 	}
Index: bsps/sparc/shared/pci/gr_leon4_n2x.c
===================================================================
--- bsps/sparc/shared/pci/gr_leon4_n2x.c	(revision 68a00124700173ed94a6c7cbe0655bb078559b62)
+++ bsps/sparc/shared/pci/gr_leon4_n2x.c	(revision 56a7540cd8d96870649b58bdbb0a35ac40a3f9be)
@@ -509,11 +509,11 @@
 	priv->devinfo = devinfo = (struct pci_dev_info *)dev->businfo;
 	priv->pcidev = devinfo->pcidev;
-	printf("\n\n--- GR-CPCI-LEON4-N2X[%d] ---\n", dev->minor_drv);
-	printf(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
+	printk("\n\n--- GR-CPCI-LEON4-N2X[%d] ---\n", dev->minor_drv);
+	printk(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
 		PCI_DEV_EXPAND(priv->pcidev));
-	printf(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
+	printk(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
 		devinfo->id.vendor, devinfo->id.device);
 	for (i = 0; i < 3; i++) {
-		printf(" PCI BAR[%d]: 0x%08lx - 0x%08lx\n",
+		printk(" PCI BAR[%d]: 0x%08lx - 0x%08lx\n",
 			i, devinfo->resources[i].address,
 			devinfo->resources[i].address +
@@ -523,5 +523,5 @@
 			return DRVMGR_ENORES;
 	}
-	printf(" IRQ: %d\n\n\n", devinfo->irq);
+	printk(" IRQ: %d\n\n\n", devinfo->irq);
 
 	/* Initialize spin-lock for this PCI perihperal device. This is to
@@ -569,5 +569,5 @@
 	if ((status = gr_cpci_leon4_n2x_hw_init1(priv)) != 0) {
 		genirq_destroy(priv->genirq);
-		printf(" Failed to initialize GR-CPCI-LEON4-N2X HW: %d\n", status);
+		printk(" Failed to initialize GR-CPCI-LEON4-N2X HW: %d\n", status);
 		return DRVMGR_FAIL;
 	}
Index: bsps/sparc/shared/pci/gr_rasta_adcdac.c
===================================================================
--- bsps/sparc/shared/pci/gr_rasta_adcdac.c	(revision 68a00124700173ed94a6c7cbe0655bb078559b62)
+++ bsps/sparc/shared/pci/gr_rasta_adcdac.c	(revision 56a7540cd8d96870649b58bdbb0a35ac40a3f9be)
@@ -415,12 +415,12 @@
 	bar1 = devinfo->resources[1].address;
 	bar1_size = devinfo->resources[1].size;
-	printf("\n\n--- GR-RASTA-ADCDAC[%d] ---\n", dev->minor_drv);
-	printf(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
+	printk("\n\n--- GR-RASTA-ADCDAC[%d] ---\n", dev->minor_drv);
+	printk(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
 		PCI_DEV_EXPAND(priv->pcidev));
-	printf(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
+	printk(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
 		devinfo->id.vendor, devinfo->id.device);
-	printf(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printf(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
-	printf(" IRQ: %d\n\n\n", devinfo->irq);
+	printk(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
+	printk(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
+	printk(" IRQ: %d\n\n\n", devinfo->irq);
 
 	/* all neccessary space assigned to GR-RASTA-ADCDAC target? */
@@ -458,5 +458,5 @@
 		free(priv);
 		dev->priv = NULL;
-		printf(" Failed to initialize GR-RASTA-ADCDAC HW: %d\n", status);
+		printk(" Failed to initialize GR-RASTA-ADCDAC HW: %d\n", status);
 		return DRVMGR_FAIL;
 	}
Index: bsps/sparc/shared/pci/gr_rasta_io.c
===================================================================
--- bsps/sparc/shared/pci/gr_rasta_io.c	(revision 68a00124700173ed94a6c7cbe0655bb078559b62)
+++ bsps/sparc/shared/pci/gr_rasta_io.c	(revision 56a7540cd8d96870649b58bdbb0a35ac40a3f9be)
@@ -594,12 +594,12 @@
 	bar1 = devinfo->resources[1].address;
 	bar1_size = devinfo->resources[1].size;
-	printf("\n\n--- GR-RASTA-IO[%d] ---\n", dev->minor_drv);
-	printf(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
+	printk("\n\n--- GR-RASTA-IO[%d] ---\n", dev->minor_drv);
+	printk(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
 		PCI_DEV_EXPAND(priv->pcidev));
-	printf(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
+	printk(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
 		devinfo->id.vendor, devinfo->id.device);
-	printf(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printf(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
-	printf(" IRQ: %d\n\n\n", devinfo->irq);
+	printk(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
+	printk(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
+	printk(" IRQ: %d\n\n\n", devinfo->irq);
 
 	/* all neccessary space assigned to GR-RASTA-IO target? */
@@ -655,5 +655,5 @@
 		free(priv);
 		dev->priv = NULL;
-		printf(" Failed to initialize GR-RASTA-IO HW: %d\n", status);
+		printk(" Failed to initialize GR-RASTA-IO HW: %d\n", status);
 		return DRVMGR_FAIL;
 	}
Index: bsps/sparc/shared/pci/gr_rasta_spw_router.c
===================================================================
--- bsps/sparc/shared/pci/gr_rasta_spw_router.c	(revision 68a00124700173ed94a6c7cbe0655bb078559b62)
+++ bsps/sparc/shared/pci/gr_rasta_spw_router.c	(revision 56a7540cd8d96870649b58bdbb0a35ac40a3f9be)
@@ -378,5 +378,4 @@
 	ctrl = priv->grpci2->ctrl;
 	ctrl = (ctrl & 0xFFFFFF0F) | (1 << 4);
-	printf("data: 0x%x\n", ctrl);
 	priv->grpci2->ctrl = ctrl;
 
@@ -428,11 +427,11 @@
 	bar0 = devinfo->resources[0].address;
 	bar0_size = devinfo->resources[0].size;
-	printf("\n\n--- GR-RASTA-SPW-ROUTER[%d] ---\n", dev->minor_drv);
-	printf(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
+	printk("\n\n--- GR-RASTA-SPW-ROUTER[%d] ---\n", dev->minor_drv);
+	printk(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
 		PCI_DEV_EXPAND(priv->pcidev));
-	printf(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
+	printk(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
 		devinfo->id.vendor, devinfo->id.device);
-	printf(" PCI BAR[0]: 0x%08lx - 0x%08lx\n", bar0, bar0 + bar0_size - 1);
-	printf(" IRQ: %d\n\n\n", devinfo->irq);
+	printk(" PCI BAR[0]: 0x%08lx - 0x%08lx\n", bar0, bar0 + bar0_size - 1);
+	printk(" IRQ: %d\n\n\n", devinfo->irq);
 
 	/* all neccessary space assigned to GR-RASTA-SPW-ROUTER target? */
@@ -465,5 +464,5 @@
 	if ((status = gr_rasta_spw_router_hw_init(priv)) != 0) {
 		genirq_destroy(priv->genirq);
-		printf(" Failed to initialize GR-RASTA-SPW-ROUTER HW: %d\n", status);
+		printk(" Failed to initialize GR-RASTA-SPW-ROUTER HW: %d\n", status);
 		return DRVMGR_FAIL;
 	}
Index: bsps/sparc/shared/pci/gr_rasta_tmtc.c
===================================================================
--- bsps/sparc/shared/pci/gr_rasta_tmtc.c	(revision 68a00124700173ed94a6c7cbe0655bb078559b62)
+++ bsps/sparc/shared/pci/gr_rasta_tmtc.c	(revision 56a7540cd8d96870649b58bdbb0a35ac40a3f9be)
@@ -606,12 +606,12 @@
 	bar1 = devinfo->resources[1].address;
 	bar1_size = devinfo->resources[1].size;
-	printf("\n\n--- GR-RASTA-TMTC[%d] ---\n", dev->minor_drv);
-	printf(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
+	printk("\n\n--- GR-RASTA-TMTC[%d] ---\n", dev->minor_drv);
+	printk(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
 		PCI_DEV_EXPAND(priv->pcidev));
-	printf(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
+	printk(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
 		devinfo->id.vendor, devinfo->id.device);
-	printf(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printf(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
-	printf(" IRQ: %d\n\n\n", devinfo->irq);
+	printk(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
+	printk(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
+	printk(" IRQ: %d\n\n\n", devinfo->irq);
 
 	/* all neccessary space assigned to GR-RASTA-IO target? */
@@ -658,5 +658,5 @@
 	if ( status != 0 ) {
 		genirq_destroy(priv->genirq);
-		printf(" Failed to initialize GR-RASTA-TMTC HW: %d\n", status);
+		printk(" Failed to initialize GR-RASTA-TMTC HW: %d\n", status);
 		return DRVMGR_FAIL;
 	}
Index: bsps/sparc/shared/pci/gr_tmtc_1553.c
===================================================================
--- bsps/sparc/shared/pci/gr_tmtc_1553.c	(revision 68a00124700173ed94a6c7cbe0655bb078559b62)
+++ bsps/sparc/shared/pci/gr_tmtc_1553.c	(revision 56a7540cd8d96870649b58bdbb0a35ac40a3f9be)
@@ -332,11 +332,11 @@
 	bar0 = devinfo->resources[0].address;
 	bar0_size = devinfo->resources[0].size;
-	printf("\n\n--- GR-TMTC-1553[%d] ---\n", dev->minor_drv);
-	printf(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
+	printk("\n\n--- GR-TMTC-1553[%d] ---\n", dev->minor_drv);
+	printk(" PCI BUS: 0x%x, SLOT: 0x%x, FUNCTION: 0x%x\n",
 		PCI_DEV_EXPAND(priv->pcidev));
-	printf(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
+	printk(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
 		devinfo->id.vendor, devinfo->id.device);
-	printf(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printf(" IRQ: %d\n\n\n", devinfo->irq);
+	printk(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
+	printk(" IRQ: %d\n\n\n", devinfo->irq);
 
 	/* all neccessary space assigned to GR-TMTC-1553 target? */
@@ -362,5 +362,5 @@
 		free(priv);
 		dev->priv = NULL;
-		printf(" Failed to initialize GR-TMTC-1553 HW: %d\n", status);
+		printk(" Failed to initialize GR-TMTC-1553 HW: %d\n", status);
 		return DRVMGR_FAIL;
 	}
Index: bsps/sparc/shared/pci/grpci.c
===================================================================
--- bsps/sparc/shared/pci/grpci.c	(revision 68a00124700173ed94a6c7cbe0655bb078559b62)
+++ bsps/sparc/shared/pci/grpci.c	(revision 56a7540cd8d96870649b58bdbb0a35ac40a3f9be)
@@ -628,5 +628,5 @@
 	status = grpci_init(priv);
 	if (status) {
-		printf("Failed to initialize grpci driver %d\n", status);
+		printk("Failed to initialize grpci driver %d\n", status);
 		return DRVMGR_FAIL;
 	}
Index: bsps/sparc/shared/pci/grpci2.c
===================================================================
--- bsps/sparc/shared/pci/grpci2.c	(revision 68a00124700173ed94a6c7cbe0655bb078559b62)
+++ bsps/sparc/shared/pci/grpci2.c	(revision 56a7540cd8d96870649b58bdbb0a35ac40a3f9be)
@@ -906,5 +906,5 @@
 	status = grpci2_init(priv);
 	if (status) {
-		printf("Failed to initialize grpci2 driver %d\n", status);
+		printk("Failed to initialize grpci2 driver %d\n", status);
 		return -1;
 	}
Index: bsps/sparc/shared/pci/pcif.c
===================================================================
--- bsps/sparc/shared/pci/pcif.c	(revision 68a00124700173ed94a6c7cbe0655bb078559b62)
+++ bsps/sparc/shared/pci/pcif.c	(revision 56a7540cd8d96870649b58bdbb0a35ac40a3f9be)
@@ -510,5 +510,5 @@
 
 	if ( pcif_minor != 0 ) {
-		printf("Driver only supports one PCI core\n");
+		printk("Driver only supports one PCI core\n");
 		return DRVMGR_FAIL;
 	}
@@ -524,5 +524,5 @@
 	pcifpriv = priv;
 	if ( pcif_init(priv) ) {
-		printf("Failed to initialize PCIF driver\n");
+		printk("Failed to initialize PCIF driver\n");
 		free(priv);
 		dev->priv = NULL;
Index: bsps/sparc/shared/spi/spictrl.c
===================================================================
--- bsps/sparc/shared/spi/spictrl.c	(revision 68a00124700173ed94a6c7cbe0655bb078559b62)
+++ bsps/sparc/shared/spi/spictrl.c	(revision 56a7540cd8d96870649b58bdbb0a35ac40a3f9be)
@@ -720,5 +720,5 @@
 	ret = spictrl_read_write(priv, bytes, NULL, nbytes);
 	if ( ret < 0 ) {
-		printf("SPICTRL: Error Reading\n");
+		printk("SPICTRL: Error Reading\n");
 	} 
 #ifdef DEBUG