Index: c/src/lib/libbsp/arm/csb336/configure.ac
===================================================================
--- c/src/lib/libbsp/arm/csb336/configure.ac	(revision bb2b8259ea9d987726ac490c9118412a09960ef2)
+++ c/src/lib/libbsp/arm/csb336/configure.ac	(revision 59bd51156a75e685dca222874667b90712d50c95)
@@ -1,5 +1,3 @@
 ## Process this file with autoconf to produce a configure script.
-##
-## configure.ac,v 1.5 2003/03/11 09:39:07 ralf Exp
 
 AC_PREREQ([2.69])
Index: c/src/lib/libbsp/arm/csb337/configure.ac
===================================================================
--- c/src/lib/libbsp/arm/csb337/configure.ac	(revision bb2b8259ea9d987726ac490c9118412a09960ef2)
+++ c/src/lib/libbsp/arm/csb337/configure.ac	(revision 59bd51156a75e685dca222874667b90712d50c95)
@@ -1,5 +1,3 @@
 ## Process this file with autoconf to produce a configure script.
-##
-## configure.ac,v 1.5 2003/03/11 09:39:07 ralf Exp
 
 AC_PREREQ([2.69])
Index: c/src/lib/libbsp/arm/gdbarmsim/configure.ac
===================================================================
--- c/src/lib/libbsp/arm/gdbarmsim/configure.ac	(revision bb2b8259ea9d987726ac490c9118412a09960ef2)
+++ c/src/lib/libbsp/arm/gdbarmsim/configure.ac	(revision 59bd51156a75e685dca222874667b90712d50c95)
@@ -1,5 +1,3 @@
 ## Process this file with autoconf to produce a configure script.
-##
-## configure.ac,v 1.5 2003/03/11 09:39:07 ralf Exp
 
 AC_PREREQ([2.69])
Index: c/src/lib/libbsp/arm/gp32/configure.ac
===================================================================
--- c/src/lib/libbsp/arm/gp32/configure.ac	(revision bb2b8259ea9d987726ac490c9118412a09960ef2)
+++ c/src/lib/libbsp/arm/gp32/configure.ac	(revision 59bd51156a75e685dca222874667b90712d50c95)
@@ -1,5 +1,3 @@
 ## Process this file with autoconf to produce a configure script.
-##
-## configure.ac,v 1.5 2003/03/11 09:39:07 ralf Exp
 
 AC_PREREQ([2.69])
Index: c/src/lib/libbsp/arm/gumstix/configure.ac
===================================================================
--- c/src/lib/libbsp/arm/gumstix/configure.ac	(revision bb2b8259ea9d987726ac490c9118412a09960ef2)
+++ c/src/lib/libbsp/arm/gumstix/configure.ac	(revision 59bd51156a75e685dca222874667b90712d50c95)
@@ -1,5 +1,3 @@
 ## Process this file with autoconf to produce a configure script.
-##
-## configure.ac,v 1.5 2003/03/11 09:39:07 ralf Exp
 
 AC_PREREQ([2.69])
Index: c/src/lib/libbsp/arm/smdk2410/configure.ac
===================================================================
--- c/src/lib/libbsp/arm/smdk2410/configure.ac	(revision bb2b8259ea9d987726ac490c9118412a09960ef2)
+++ c/src/lib/libbsp/arm/smdk2410/configure.ac	(revision 59bd51156a75e685dca222874667b90712d50c95)
@@ -1,5 +1,3 @@
 ## Process this file with autoconf to produce a configure script.
-##
-## configure.ac,v 1.5 2003/03/11 09:39:07 ralf Exp
 
 AC_PREREQ([2.69])
Index: c/src/lib/libbsp/mips/hurricane/configure.ac
===================================================================
--- c/src/lib/libbsp/mips/hurricane/configure.ac	(revision bb2b8259ea9d987726ac490c9118412a09960ef2)
+++ c/src/lib/libbsp/mips/hurricane/configure.ac	(revision 59bd51156a75e685dca222874667b90712d50c95)
@@ -1,5 +1,3 @@
 ## Process this file with autoconf to produce a configure script.
-##
-## configure.ac,v 1.5.2.2 2003/08/11 14:37:57 ralf Exp
 
 AC_PREREQ([2.69])
Index: c/src/lib/libbsp/mips/rbtx4925/configure.ac
===================================================================
--- c/src/lib/libbsp/mips/rbtx4925/configure.ac	(revision bb2b8259ea9d987726ac490c9118412a09960ef2)
+++ c/src/lib/libbsp/mips/rbtx4925/configure.ac	(revision 59bd51156a75e685dca222874667b90712d50c95)
@@ -1,5 +1,3 @@
 ## Process this file with autoconf to produce a configure script.
-##
-## configure.ac,v 1.6.2.2 2003/08/11 14:38:01 ralf Exp
 
 AC_PREREQ([2.69])
Index: c/src/lib/libbsp/mips/rbtx4938/configure.ac
===================================================================
--- c/src/lib/libbsp/mips/rbtx4938/configure.ac	(revision bb2b8259ea9d987726ac490c9118412a09960ef2)
+++ c/src/lib/libbsp/mips/rbtx4938/configure.ac	(revision 59bd51156a75e685dca222874667b90712d50c95)
@@ -1,5 +1,3 @@
 ## Process this file with autoconf to produce a configure script.
-##
-## configure.ac,v 1.6.2.2 2003/08/11 14:38:01 ralf Exp
 
 AC_PREREQ([2.69])
Index: c/src/lib/libbsp/powerpc/beatnik/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/beatnik/configure.ac	(revision bb2b8259ea9d987726ac490c9118412a09960ef2)
+++ c/src/lib/libbsp/powerpc/beatnik/configure.ac	(revision 59bd51156a75e685dca222874667b90712d50c95)
@@ -1,5 +1,3 @@
 ## Process this file with autoconf to produce a configure script.
-## 
-## configure.ac,v 1.9.2.3 2003/08/11 14:37:22 ralf Exp
 
 AC_PREREQ([2.69])
Index: c/src/lib/libbsp/powerpc/ep1a/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/Makefile.am	(revision bb2b8259ea9d987726ac490c9118412a09960ef2)
+++ c/src/lib/libbsp/powerpc/ep1a/Makefile.am	(revision 59bd51156a75e685dca222874667b90712d50c95)
@@ -1,6 +1,2 @@
-##
-## Makefile.am,v 1.8.4.1 2003/02/20 21:55:34 joel Exp
-##
-
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
 
Index: c/src/lib/libbsp/powerpc/mvme5500/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/Makefile.am	(revision bb2b8259ea9d987726ac490c9118412a09960ef2)
+++ c/src/lib/libbsp/powerpc/mvme5500/Makefile.am	(revision 59bd51156a75e685dca222874667b90712d50c95)
@@ -1,6 +1,2 @@
-##
-## Makefile.am,v 1.8.4.1 2003/02/20 21:55:34 joel Exp
-##
-
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
 
Index: c/src/lib/libbsp/powerpc/mvme5500/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/configure.ac	(revision bb2b8259ea9d987726ac490c9118412a09960ef2)
+++ c/src/lib/libbsp/powerpc/mvme5500/configure.ac	(revision 59bd51156a75e685dca222874667b90712d50c95)
@@ -1,5 +1,3 @@
 ## Process this file with autoconf to produce a configure script.
-##
-## configure.ac,v 1.9.2.2 2003/03/06 10:42:42 ralf Exp
 
 AC_PREREQ([2.69])
Index: testsuites/samples/fileio/Makefile.am
===================================================================
--- testsuites/samples/fileio/Makefile.am	(revision bb2b8259ea9d987726ac490c9118412a09960ef2)
+++ testsuites/samples/fileio/Makefile.am	(revision 59bd51156a75e685dca222874667b90712d50c95)
@@ -1,7 +1,2 @@
-##
-##  Makefile.am,v 1.9 2002/08/11 05:18:59 ralf Exp
-##
-
-
 rtems_tests_PROGRAMS = fileio
 fileio_SOURCES = init.c system.h